﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace NetworkConfigurator.Converters
{
    public class LinkNameToPositionConverter : IMultiValueConverter
    {
        private const int CharacterWidth = 5;

        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            string p = parameter as string;
            switch (p)
            {
                case "Abscissa":
                    double x = (double)values[0];
                    return x - ((string)values[1]).Length * 3;
                case "Ordinate":
                    return (double)values[0] - 10;
            }
            return 0;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
