﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NetworkConfigurator.Converters
{
    class OffsetConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var x = Double.Parse(value.ToString());
            var y = Double.Parse(parameter.ToString());
            return x + y;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var x = Double.Parse(value.ToString());
            var y = Double.Parse(parameter.ToString());
            return x - y;
        }
    }
}
