﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace NetworkConfigurator
{
    public class Flow
    {
        public static readonly IList<String> ApplicationLayerProtocols = new ReadOnlyCollection<string>
            (new List<String>
        {
            "HTTP", "HTTPS", "FTP", "TFTP", "SFTP", "SSH", "SSL",
            "TELNET", "POP3", "IMAP", "SMTP", "RDP", "DNS", "DHCP"
        });

        public string Protocol { get; set; }
        public ToolboxControl Source { get; set; }
        public ToolboxControl Destination { get; set; }
        public float Throughput { get; set; }
        public bool IsBidirectional { get; set; }
        public List<Tuple<int, int>> PathList { get; set; }
    }
}
