﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NetworkConfigurator
{
    public static class IDGenerator
    {
        private static readonly int NumberOfIDs = 1000000;
        private static bool[] IDs = new bool[NumberOfIDs];

        public static int NextID()
        {
            for (int i = 0; i < NumberOfIDs; i++)
            {
                if (IDs[i] == false)
                {
                    IDs[i] = true;
                    return i;
                }
            }
            return -1;
        }

        public static void FreeID(int i)
        {
            IDs[i] = false;
        }

        public static void FreeAll()
        {
            for (int i = 0; i < NumberOfIDs; i++)
            {
                IDs[i] = false;
            }
        }
    }
}
